#
# spec file for package python-Lektor
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-Lektor
Version:        3.1.3
Release:        bp153.1.19
Summary:        A static content management system
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/lektor/lektor/
Source:         https://github.com/lektor/lektor/archive/%{version}.tar.gz#/Lektor-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Babel
Requires:       python-ExifRead
Requires:       python-Flask
Requires:       python-Jinja2 >= 2.4
Requires:       python-click >= 6.0
Requires:       python-inifile
Requires:       python-mistune >= 0.7.0
Requires:       python-requests
Requires:       python-setuptools
Requires:       python-watchdog
Suggests:       git-core
Suggests:       python-pip
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Babel}
BuildRequires:  %{python_module ExifRead}
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module Jinja2 >= 2.4}
BuildRequires:  %{python_module click >= 6.0}
BuildRequires:  %{python_module cryptography >= 1.3.4}
BuildRequires:  %{python_module inifile}
BuildRequires:  %{python_module mistune >= 0.7.0}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pyOpenSSL >= 0.14}
BuildRequires:  %{python_module pytest-click}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module watchdog}
BuildRequires:  git-core
%if %{with python2}
BuildRequires:  python2-functools32
%endif
# /SECTION
%ifpython2
Requires:       python-functools32
%endif
%python_subpackages

%description
A static content management system for building complex websites out
of flat files for people who do not want to make a compromise between
a CMS and a static blog engine.

%prep
%setup -q -n lektor-%{version}
sed -i '/pytest-pylint/d;/pytest-cov/d' setup.py
rm pytest.ini

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF8
# Test suite expects a git repo
git init
# Three failures not yet investigated
%python_exec setup.py pytest --addopts="-k 'not test_build_continue_in_existing_nonempty_dir and not test_build and not test_thumbnail_quality'"

%files %{python_files}
%doc README.md
%license LICENSE
%python3_only %{_bindir}/lektor
%{python_sitelib}/*

%changelog
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Mon Apr 15 2019 Jan Engelhardt <jengelh@inai.de>
- Ensure neutrality of descriptions.
* Sat Apr 13 2019 John Vandenberg <jayvdb@gmail.com>
- Activate test suite
- Re-enable Python 2; tidy spec
- Update to v3.1.3
* Sun Jun 24 2018 arun@gmx.de
- Convert to single spec, with Python 2 disabled
- Update to v3.1.1
* Tue Jun  7 2016 sbahling@suse.com
- Initial package. Version 2.3.
